matrix:
  platform:
  - debian11
  - ubuntu2204
  - macos
  - macos_arm64
  - windows
  bazel:
  - 8.x
  - 7.x
  - 6.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - '@utf8proc//:utf8proc'
bcr_test_module:
  module_path: ""
  matrix:
    platform:
    - debian11
    - ubuntu2204
    - macos
    - macos_arm64
    - windows
    bazel:
    - 8.x
    - 7.x
    - 6.x
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
      - '@utf8proc//...'
